Subject: acka-research-digest V2 #186
From: [email-masked] (acka-research-digest)
To: [email-masked]

acka-research-digest     Sunday, November 30 1997     Volume 02 : Number 186

----------------------------------------------------------------------

Date: Sun, 30 Nov 1997 03:00:08 -0500 (EST)
From: John Frederic Mc Coy <[email-masked]>
Subject: Re: Acka: Proposal 2423

On Sat, 29 Nov 1997, Duncan Richer wrote:

> On Sat, 29 Nov 1997, John Frederic Mc Coy wrote:
> 
> > Well, what I was trying to say, in a quaint sort of manner, was that if
> > someone called a vote for you and you didn't get inducted, you would feel
> > unpopular and bad and unappreciated.  You know, like losing any other
> > popularity contest.  The current rule avoids this of course, by waiting
> > until they're dead (if not buried).  I realized that lurkers could be
> > inducted with an automatic induction clause, but frankly I think lurking
> > for 18 months is worthy of some respect.  Besides, its pretty darn
> > unlikely, although Techno, err, Crackfoo, could probably manage it
> > (no offense intended).
> 
> Well, this may be true, but I don't see why living legends should get
> automatic induction while dead ones have to be put to a vote.  If you feel
> that neither should have to suffer the indignities of a vote, then suggest
> an amendment.  However, making it "easier" for current players than
> ex-players doesn't somehow seem right.

Well the difference is that you don't have to have been in Acka for 18
months to be inducted via a vote after you have left.  Indeed, I imagine
that most of the people who have been inducted were not around for that
long.  I'm not the Historian, but I don't think Acka is any more than 2
and a half years old at the most.  Saying that anyone who has been in the
game for 18 months goes into the Hall is setting an objective criteria, of
sorts.  I don't see anything illogical about also having a subjective,
voting system, for those who weren't with us long enough to meet the 18
moth requirement, but might deserve induction anyway.

> 
> Yours,
> Slakko

                                   - Vynd

[email-masked]

------------------------------

Date: Sun, 30 Nov 1997 03:02:09 -0500 (EST)
From: John Frederic Mc Coy <[email-masked]>
Subject: Re: Acka: Proposal 2428

On Sat, 29 Nov 1997, Brian Raiter wrote:

> Proposal 2428
> Stick the Vulcans Where They Belong
> Slakko (Duncan Richer)
> 
> Delete the last paragraph of Rule 1.
> Renumber Rule 1 to Rule 1401.
> Repeal Rule 0.
> 
> [This creates a new section, to do with the History of the Game, in the
> 1400s.]
> 
> 

All other problems with this aside, the [] text is going to be created as
Rule 2428 if this passes.

                                       - Vynd

[email-masked]

------------------------------

Date: Sun, 30 Nov 1997 08:12:01 +0000 ()
From: Duncan Richer <[email-masked]>
Subject: Re: Acka: Proposal 2431

On Sat, 29 Nov 1997, Joseph W. DeVincentis wrote:

> > Proposal 2431
> > Simplification of Winning Conditions into Subers
> > Slakko (Duncan Richer)
> 
> > {{All entities, which are not players, containing the word "Suber" or
> > "Subers" in their name are destroyed.}}

Do the rules anywhere state that Proposals are Entities?

I don't think so.

Or that rulse themselves are entitites?

- --
Duncan C. Richer - aka Slakko the Lost Warner Brother - Now Really Lost!
Queens' College -- PhD, Pure Maths, Graph Theory -- Cambridge University
"Begone, fools, and give me the bird."
"We'd love to, but the Fox censors won't allow it."

------------------------------

Date: Sun, 30 Nov 1997 03:19:19 -0500 (EST)
From: John Frederic Mc Coy <[email-masked]>
Subject: Re: Acka: Proposal 2431

On Sat, 29 Nov 1997, Joseph W. DeVincentis wrote:

> > Proposal 2431
> > Simplification of Winning Conditions into Subers
> > Slakko (Duncan Richer)
> 
> > {{All entities, which are not players, containing the word "Suber" or
> > "Subers" in their name are destroyed.}}
> 
> What happens if the proposal is destroyed before its effects are finished
> being executed? :-o
> 
> /dev/joe
> 

Cool!

                                    - Vynd

[email-masked]

------------------------------

Date: Sun, 30 Nov 1997 08:26:15 +0000 ()
From: Duncan Richer <[email-masked]>
Subject: Re: Acka: Proposal 2431

On Sun, 30 Nov 1997, John Frederic Mc Coy wrote:

> 
> 
> On Sat, 29 Nov 1997, Joseph W. DeVincentis wrote:
> 
> > > Proposal 2431
> > > Simplification of Winning Conditions into Subers
> > > Slakko (Duncan Richer)
> > 
> > > {{All entities, which are not players, containing the word "Suber" or
> > > "Subers" in their name are destroyed.}}
> > 
> > What happens if the proposal is destroyed before its effects are finished
> > being executed? :-o
> > 
> > /dev/joe
> > 
> 
> Cool!

Okay.  Can anyone tell me how to avoid Malenkai's Loophole successfully?

- --
Duncan C. Richer - aka Slakko the Lost Warner Brother - Now Really Lost!
Queens' College -- PhD, Pure Maths, Graph Theory -- Cambridge University
"Begone, fools, and give me the bird."
"We'd love to, but the Fox censors won't allow it."

------------------------------

Date: Sun, 30 Nov 1997 06:23:28 -0500
From: Malenkai <[email-masked]>
Subject: Re: Acka: Proposal 2431

> Okay.  Can anyone tell me how to avoid Malenkai's Loophole successfully?

{{All Subers are destroyed.}}

As for asking for help on your proposal, proposal 2433 was written
in response to your proposal inasmuch as I did not want to point out
another flaw directly, but since you retracted it anyway...

Malenkai

------------------------------

Date: Sun, 30 Nov 1997 23:19:41 -1000
From: K2 <[email-masked]>
Subject: Acka: Harf Prolix

- --------------277A8A22CFBC134288E04C18
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Please Let me know what you think of the following :

- ------------------------------------------------------------------------

Create a new rule titled "Prolix Propositions" containing the following
text:

If a player tenders a proposal which fulfils the following requirements,
then the proposal is a Prolix Proposition:

a) The proposal contains the furniture: "Warning Contains: <word>", were
<word> is a word, contained in the official dictionary, which is not in
the current rule set.
b) <word> is used in the body of the proposal such that it is not
contained in quotation marks, square brackets or double curly brackets
and will become part of an existing or new rule. [ In other words it
must be/become part of a functional sentence within a rule ]

Whenever a Prolix Proposition is accepted, the player who submitted it
shall be endowed with a liberality of two points for enriching Acka.

{{  [For example the following could be used as <word> ( as the rule set
stands currently )] :
                    tenders
                    prolix
                    proposition
                    warning
                    endowed
                    liberality
                    enriching                    }}

- ------------------------------------------------------------------------

- --------------277A8A22CFBC134288E04C18
Content-Type: text/html; charset=us-ascii
Content-Transfer-Encoding: 7bit

<HTML>
Please Let me know what you think of the following :

<P>
<HR WIDTH="100%">

<P>Create a new rule titled "Prolix Propositions" containing the following
text:

<P>If a player tenders a proposal which fulfils the following requirements,
then the proposal is a Prolix Proposition:

<P>a) The proposal contains the furniture: "Warning Contains: &lt;word>",
were &lt;word> is a word, contained in the official dictionary, which is
not in the current rule set.
<BR>b) &lt;word> is used in the body of the proposal such that it is not
contained in quotation marks, square brackets or double curly brackets
and will become part of an existing or new rule. [ In other words it must
be/become part of a functional sentence within a rule ]

<P>Whenever a Prolix Proposition is accepted, the player who submitted
it shall be endowed with a liberality of two points for enriching Acka.

<P>{{&nbsp; [For example the following could be used as &lt;word> ( as
the rule set stands currently )] :
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
tenders
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
prolix
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
proposition
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
warning
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
endowed
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
liberality
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
enriching&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
}}

<P>
<HR WIDTH="100%"></HTML>

- --------------277A8A22CFBC134288E04C18--

------------------------------

Date: Sun, 30 Nov 1997 23:29:23 -1000
From: K2 <[email-masked]>
Subject: Re: Acka: Proposal 2433

Oh man.... that could have been a PWCFJ.

Brian Raiter wrote:

> Proposal 2433
> I just don't have the heart
> Malenkai (Randy Hall)
>
> This is a Modest proposal
>
> {{[this conditional proposal will only have effect if
> proposal 2411, which creates a list of conventions, is accepted]}}
>
> ---------------------------------------------------------------
>
> Amend rule 340, if and only if its title is "Conventions", to
> append the following text to the end of the rule:
>
> "
> VI.  Whenever division is performed in Ackanomic, and the
> denomonator of that division evaluates to 0, then the result of
> that entire division shall be 0.  {{[this takes precedence over reality :)]}}
> "

------------------------------

Date: Sun, 30 Nov 1997 06:23:05 -0800 (PST)
From: Brian Raiter <[email-masked]>
Subject: Re: Acka: Harf Prolix

> Create a new rule titled "Prolix Propositions" containing the
> following text:
> 
> If a player tenders a proposal which fulfils the following
> requirements, then the proposal is a Prolix Proposition:
> 
> a) The proposal contains the furniture: "Warning Contains: <word>",
> were <word> is a word, contained in the official dictionary, which
> is not in the current rule set.
> b) <word> is used in the body of the proposal such that it is not
> contained in quotation marks, square brackets or double curly brackets
> and will become part of an existing or new rule. [ In other words it
> must be/become part of a functional sentence within a rule ]
> 
> Whenever a Prolix Proposition is accepted, the player who submitted
> it shall be endowed with a liberality of two points for enriching
> Acka.

I like the spirit of the idea. But:

a) Two points is too much.
b) Don't expect a lot of volunteers for the job of taking every
proposal that passes and comparing every word in it with every word in
the ruleset.

breadbox

------------------------------

Date: Sun, 30 Nov 1997 14:35:42 +0000 ()
From: Duncan Richer <[email-masked]>
Subject: Re: Acka: Harf Prolix

On Sun, 30 Nov 1997, Brian Raiter wrote:

> > Create a new rule titled "Prolix Propositions" containing the
> > following text:
> > 
> > If a player tenders a proposal which fulfils the following
> > requirements, then the proposal is a Prolix Proposition:
> > 
> > a) The proposal contains the furniture: "Warning Contains: <word>",
> > were <word> is a word, contained in the official dictionary, which
> > is not in the current rule set.
> > b) <word> is used in the body of the proposal such that it is not
> > contained in quotation marks, square brackets or double curly brackets
> > and will become part of an existing or new rule. [ In other words it
> > must be/become part of a functional sentence within a rule ]
> > 
> > Whenever a Prolix Proposition is accepted, the player who submitted
> > it shall be endowed with a liberality of two points for enriching
> > Acka.
> 
> I like the spirit of the idea. But:
> 
> a) Two points is too much.
> b) Don't expect a lot of volunteers for the job of taking every
> proposal that passes and comparing every word in it with every word in
> the ruleset.

I like the spirit and the execution.

a) Two points when the magic number is 357 doesn't seem too much,
especially when the proposal has to be accepted - after all you're already
getting min 5 points just for that.  Changing 5/10/14 to 7/12/16 by prolix
isn't going to do much IMHO.

b) The proposers themselves have to indicate which particular word is
being added.  Therefore the job of the player to check it is simply a
single Find type command in any word processor.  5,10 seconds max if
you're a fast typer.  Hell, if there needs to be a new position created to
harf this (which AFAIK there doesn't), then I'll take it on.

Yours,
Slakko

- --
Duncan C. Richer - aka Slakko the Lost Warner Brother - Now Really Lost!
Queens' College -- PhD, Pure Maths, Graph Theory -- Cambridge University
"Begone, fools, and give me the bird."
"We'd love to, but the Fox censors won't allow it."

------------------------------

Date: Mon, 01 Dec 1997 01:38:29 -1000
From: K2 <[email-masked]>
Subject: Re: Acka: Harf Prolix

> I like the spirit of the idea. But:
>
> a) Two points is too much.

One point instead? ( it is only per accepted proposal )

> b) Don't expect a lot of volunteers for the job of taking every
> proposal that passes and comparing every word in it with every word in
> the ruleset.

That was the purpose of the furniture...  The player submitting would have
to declare which word was to be considered. One quick? search of the current
rule set would determine eligibility.

K2

>
>
> breadbox

------------------------------

Date: Mon, 01 Dec 1997 01:45:09 -1000
From: K2 <[email-masked]>
Subject: Re: Acka: Harf Prolix

Hey, this could turn into a real time e-mail disscussion.

Duncan Richer wrote:

> On Sun, 30 Nov 1997, Brian Raiter wrote:
>
> > > Create a new rule titled "Prolix Propositions" containing the
> > > following text:
> > >
> > > If a player tenders a proposal which fulfils the following
> > > requirements, then the proposal is a Prolix Proposition:
> > >
> > > a) The proposal contains the furniture: "Warning Contains: <word>",
> > > were <word> is a word, contained in the official dictionary, which
> > > is not in the current rule set.
> > > b) <word> is used in the body of the proposal such that it is not
> > > contained in quotation marks, square brackets or double curly brackets
> > > and will become part of an existing or new rule. [ In other words it
> > > must be/become part of a functional sentence within a rule ]
> > >
> > > Whenever a Prolix Proposition is accepted, the player who submitted
> > > it shall be endowed with a liberality of two points for enriching
> > > Acka.
> >
> > I like the spirit of the idea. But:
> >
> > a) Two points is too much.
> > b) Don't expect a lot of volunteers for the job of taking every
> > proposal that passes and comparing every word in it with every word in
> > the ruleset.
>
> I like the spirit and the execution.
>
> a) Two points when the magic number is 357 doesn't seem too much,
> especially when the proposal has to be accepted - after all you're already
> getting min 5 points just for that.  Changing 5/10/14 to 7/12/16 by prolix
> isn't going to do much IMHO.
>
> b) The proposers themselves have to indicate which particular word is
> being added.  Therefore the job of the player to check it is simply a
> single Find type command in any word processor.  5,10 seconds max if
> you're a fast typer.  Hell, if there needs to be a new position created to
> harf this (which AFAIK there doesn't), then I'll take it on.
>
> Yours,
> Slakko
>
> --
> Duncan C. Richer - aka Slakko the Lost Warner Brother - Now Really Lost!
> Queens' College -- PhD, Pure Maths, Graph Theory -- Cambridge University
> "Begone, fools, and give me the bird."
> "We'd love to, but the Fox censors won't allow it."

------------------------------

Date: Sun, 30 Nov 1997 17:37:48 +0000 ()
From: Duncan Richer <[email-masked]>
Subject: Re: Acka: Proposal 2431

On Sun, 30 Nov 1997, Malenkai wrote:

> > Okay.  Can anyone tell me how to avoid Malenkai's Loophole successfully?
> 
> {{All Subers are destroyed.}}

That won't work.  What if a player creates a trinket called "20 or More
Subers".  It's not a Suber, and so won't be destroyed.  But it has Subers
in the title.

- --
Duncan C. Richer - aka Slakko the Lost Warner Brother - Now Really Lost!
Queens' College -- PhD, Pure Maths, Graph Theory -- Cambridge University
"Begone, fools, and give me the bird."
"We'd love to, but the Fox censors won't allow it."

------------------------------

Date: Sun, 30 Nov 1997 12:52:02 -0500
From: Malenkai <[email-masked]>
Subject: Re: Acka: Proposal 2431

> > > Okay.  Can anyone tell me how to avoid Malenkai's Loophole successfully?
> >
> > {{All Subers are destroyed.}}
> 
> That won't work.  What if a player creates a trinket called "20 or More
> Subers".  It's not a Suber, and so won't be destroyed.  But it has Subers
> in the title.

It always *has* worked.  If you do not think it will work, I cannot help
you; perhaps someone else can.

Malenkai

------------------------------

Date: Sun, 30 Nov 1997 18:03:59 +0000 ()
From: Duncan Richer <[email-masked]>
Subject: Re: Acka: Proposal 2431

On Sun, 30 Nov 1997, Malenkai wrote:

> > > {{All Subers are destroyed.}}
> > 
> > That won't work.  What if a player creates a trinket called "20 or More
> > Subers".  It's not a Suber, and so won't be destroyed.  But it has Subers
> > in the title.
> 
> It always *has* worked.  If you do not think it will work, I cannot help
> you; perhaps someone else can.

Would my suggested sneaky trinket get around your method for
avoiding the loophole?  Or is the current rule interpretation sufficiently
vigilant?

Yours,
Slakko
- --
Duncan C. Richer - aka Slakko the Lost Warner Brother - Now Really Lost!
Queens' College -- PhD, Pure Maths, Graph Theory -- Cambridge University
"Begone, fools, and give me the bird."
"We'd love to, but the Fox censors won't allow it."

------------------------------

Date: Sun, 30 Nov 1997 11:25:12 -0700 (MST)
From: [email-masked] (Aaron V. Humphrey)
Subject: Re: Acka: Proposal 2431

> > It always *has* worked.  If you do not think it will work, I cannot help
> > you; perhaps someone else can.

> Would my suggested sneaky trinket get around your method for
> avoiding the loophole?  Or is the current rule interpretation sufficiently
> vigilant?

Let's put it this way: Red Barn once created a trinket called "5 PFAlfvaen".
He didn't get any bond dividends from it as a result.  So "20 or More Subers"
would not give anyone a Cycle Win.

- --
- --Alfvaen(Web page: http://www.telusplanet.net/public/alfvaen/ )
Song In My Head--Ace of Base:The Sign
Current Book--TesseractsQ
Be sure to evaluate the bird-hand/bush ratio.

------------------------------

Date: Sun, 30 Nov 1997 12:36:57 -0600 (CST)
From: "Joseph W. DeVincentis" <[email-masked]>
Subject: Re: Acka: Proposal 2431

> On Sun, 30 Nov 1997, Malenkai wrote:
> 
> > > Okay.  Can anyone tell me how to avoid Malenkai's Loophole successfully?
> > 
> > {{All Subers are destroyed.}}
> 
> That won't work.  What if a player creates a trinket called "20 or More
> Subers".  It's not a Suber, and so won't be destroyed.  But it has Subers
> in the title.

Heh, I was going to do that next. :-)

Maybe you should use your original idea, but limit it to destroying
ownable entities.

An alternative is to put a whole series of these things at the top of your
proposal: {{All Subers are destroyed. All entities named "a Suber",
"1 Suber", "2 Subers", "7 Subers", or "20 or More Subers" are destroyed. }}

We definitely need something to combat this, but I think the general
solution is worse than the problem -- either writing out all references
to entities in incredibly stilted language ("the number of subers a
player owns is 20 or more") or in something resembling computer code
("for player in acka.players: if player.inventory.subers >= 20: ...")
In the former case we turn Acka into Agora; in the latter we turn it
into, uh, Nomic World, maybe?  We've tried to plug this hole many
times without success; that should tell you it isn't an easy problem.

A barely acceptable solution might be to ban the ':' character from
regular names (somebody wanted to do this recently?), and use it to
assign explicit entity classes (and sometimes subclasses) to every
entity, so all trinkets would be named something like "trinket:20 or
More Subers" while subers would be "token:Suber".  The infamous dictator
rule could have been written using "organization:Vulcan". Etc.
Maybe if we defined these for all entities, and allowed the use of
these long names wherever there was any reason to suspect a problem,
and *required* them for explicit references in rules to types of
entities that cause problems, such as trinkets, organizations,
newspapers, probably any player-named entity, *maybe* that would work.

Consider this a proto-RFC.

/dev/joe

------------------------------

Date: Sun, 30 Nov 1997 14:08:43 -0500
From: Malenkai <[email-masked]>
Subject: Re: Acka: Proposal 2431 (Phoebe)

> Would my suggested sneaky trinket get around your method for
> avoiding the loophole?  Or is the current rule interpretation sufficiently
> vigilant?

Well, I dunno.  I started scratching my head over the matter, and
felt something lodged in my hair.  Damn, forgot the special shampoo
again!  I pulled the object out, and much to my suprise, it was
Phoebe's matchbox!  I said, Phoebe, what do you think about this?

She said:

***

I don't think the noun phrase in question could be hijacked.  Game
custom has already given us a traditional rendering of what a Suber
is in this case, and the traditional linguistic interpretation of
"20 or more Subers" is well known and would hold sway, as it did
in the 5 PFAlfvaen case and others, IMO.

The only time Malenkai's loophole has been successfully used, as
far as I know, is when the hijacked language had *no* traditional
rendering at all.  See your reasoning on CFJ 452 [NOTE to the CFJ
harfer, SC verdict and reasoning not attached], and see also 
your reasoning and the supreme court's reasoning on CFJ 415.

As for the general problem, Ackanomic custom and law has been strong
enough to get it right every time, so far.  As for the future, who
knows :-).  Its not that I don't think a general fix is necessary,
I do not think it is possible.  The further down the road this goes,
the closer we get to dancing with Godel.

It seems we can either rely on tradition, custom, language, judgement,
and other external concepts to get it right, or try to coax a formal
solution out of the rules.  Either path, it promises to be fun ... :)

***

I said should we rely on tradition or go for a formal solution, what 
is the *answer*, Phoebe?, but alas, her matchbox had gone missing...

------------------------------

Date: Sun, 30 Nov 1997 19:12:55 +0000 ()
From: Duncan Richer <[email-masked]>
Subject: Re: Acka: Proposal 2431

On Sun, 30 Nov 1997, Joseph W. DeVincentis wrote:

> > On Sun, 30 Nov 1997, Malenkai wrote:
> > 
> > That won't work.  What if a player creates a trinket called "20 or More
> > Subers".  It's not a Suber, and so won't be destroyed.  But it has Subers
> > in the title.
> 
> Heh, I was going to do that next. :-)
> 
> Maybe you should use your original idea, but limit it to destroying
> ownable entities.

That would probably work.
> 
> An alternative is to put a whole series of these things at the top of your
> proposal: {{All Subers are destroyed. All entities named "a Suber",
> "1 Suber", "2 Subers", "7 Subers", or "20 or More Subers" are destroyed. }}

This is a little long-winded, but might be necessary.
> 
> We definitely need something to combat this, but I think the general
> solution is worse than the problem -- either writing out all references
> to entities in incredibly stilted language ("the number of subers a
> player owns is 20 or more") or in something resembling computer code
> ("for player in acka.players: if player.inventory.subers >= 20: ...")
> In the former case we turn Acka into Agora; in the latter we turn it
> into, uh, Nomic World, maybe?  We've tried to plug this hole many
> times without success; that should tell you it isn't an easy problem.

I think the main problem is Trinkets and Majiks.  All other stuff isn't
really a problem - it either has a fixed name, or isn't ownable and hence
won't cause "I have it - I win" problems.

What about modifying the Patent Infringement Rule to destroy all Ts & Ms
with names that conflict with entities created by a new proposal,
immediately after it is accepted but before it takes effect?  

> 
> A barely acceptable solution might be to ban the ':' character from
> regular names (somebody wanted to do this recently?), and use it to
> assign explicit entity classes (and sometimes subclasses) to every
> entity, so all trinkets would be named something like "trinket:20 or
> More Subers" while subers would be "token:Suber".  The infamous dictator
> rule could have been written using "organization:Vulcan". Etc.
> Maybe if we defined these for all entities, and allowed the use of
> these long names wherever there was any reason to suspect a problem,
> and *required* them for explicit references in rules to types of
> entities that cause problems, such as trinkets, organizations,
> newspapers, probably any player-named entity, *maybe* that would work.

Who wants to play AdaNomic? :-) (Well, it's dotted notation in Ada, but
close enough).

Yours,
Slakko
- --
Duncan C. Richer - aka Slakko the Lost Warner Brother - Now Really Lost!
Queens' College -- PhD, Pure Maths, Graph Theory -- Cambridge University
"Begone, fools, and give me the bird."
"We'd love to, but the Fox censors won't allow it."

------------------------------

Date: Sun, 30 Nov 1997 14:26:31 -0500
From: Malenkai <[email-masked]>
Subject: Re: Acka: Thread Split Pages

> If the player who gets the Magic Potato forgets to do anything with it, we
> could have 2 cycle wins under dispute.  And this could keep happening,
> week after week after week.

Its even worse than that...

Malenkai

------------------------------

Date: Sun, 30 Nov 1997 19:42:06 +0000 ()
From: Duncan Richer <[email-masked]>
Subject: Re: Acka: Thread Split Pages

On Sun, 30 Nov 1997, Malenkai wrote:

> > If the player who gets the Magic Potato forgets to do anything with it, we
> > could have 2 cycle wins under dispute.  And this could keep happening,
> > week after week after week.
> 
> Its even worse than that...

And if The Parka keeps getting sent around, each player who touches it
turns into a Weekly Winner!

Ackanomic - The Game with 17 Guaranteed Winners, Every Week!

Yours,
Slakko
- --
Duncan C. Richer - aka Slakko the Lost Warner Brother - Now Really Lost!
Queens' College -- PhD, Pure Maths, Graph Theory -- Cambridge University
"Begone, fools, and give me the bird."
"We'd love to, but the Fox censors won't allow it."

------------------------------

Date: Sun, 30 Nov 1997 15:13:46 -0800 (PST)
From: Brian Raiter <[email-masked]>
Subject: Re: Acka: Proposal 2431

>>> Okay.  Can anyone tell me how to avoid Malenkai's Loophole successfully?
>> 
>> {{All Subers are destroyed.}}
> 
> That won't work.  What if a player creates a trinket called "20 or
> More Subers".  It's not a Suber, and so won't be destroyed.  But it
> has Subers in the title.

Malenkai's loophole will not succeed in "capturing" an entity by name
alone if that entity already has a clear referent in the rules. The
phrase "20 or more Subers" could only defensibly refer to a trinket by
name if there were no entities called Subers in the rules.

Therefore, I suggest you write your proposal so that the very first
thing it does is to create the rule that defines Subers, and make the
first sentence of that rule be "{{All existing Subers are destroyed.}}"
All attempts at using Malenkai's loophole should be headed off that
way.

Actually, I'm not even sure that that sentence would be necessary. As
long as the rules define what Subers are (and by defining them as
non-tradeable entities, they cannot possibly be interpreted as a type
of Trinket), it's possible that Malenkai's Loophole would be
completely avoided right there. Don't take my word for it, though -
I'm just throwing out that as an idea.

breadbox

------------------------------

End of acka-research-digest V2 #186
***********************************